+1-888-365-2779
Try Now
More in this section

Forums / Bugs & Issues / Multiple platform version releases of Sitefinity

Multiple platform version releases of Sitefinity

4 posts, 0 answered
  1. Samir Vaidya
    Samir Vaidya avatar
    261 posts
    Registered:
    05 Feb 2005
    28 May 2014
    Link to this post

    In Sitefinity v. 3.7 SP4, there was a release version for .NET 3.5 and .NET 4.0.  That was especially useful since you could then use whichever version of Sitefinity that supported the framework you were running.

    However, with every release of Sitefinity since v. 4.x, there is no .NET 4.0 AND .NET 4.5 release.  

    This is quite problematic because development cannot leverage the new features in the Telerik .NET 4.5 assemblies and are instead stuck with the .NET 4.0 assemblies.

    As with the Sitefinity v. 3.7 SP4, release, Telerik should release versions of Sitefinity that support .NET v. 4.0 AND .NET v. 4.5, rather than just the single platform of .NET v. 4.0 which is simply TOO restrictive.

  2. Sabrie Nedzhip
    Sabrie Nedzhip avatar
    534 posts
    Registered:
    06 Dec 2016
    31 May 2014
    Link to this post
    Hi Samir,

    Currently, Sitefinity assemblies are compiled with .NET 4.0 and changing the target to .NET 4.5 is not supported. I am not able to give you a time frame when we will introduce support for .NET 4.5.

    However, you can install .NET framework 4.5 on your environment in order to take advantage of the features of this version. You may refer to the following article for more details on this.

    Regards,
    Sabrie Nedzhip
    Telerik
     
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Sitefinity CMS Ideas&Feedback Portal and vote to affect the priority of the items
     
  3. Steve
    Steve avatar
    3037 posts
    Registered:
    03 Dec 2008
    31 May 2014 in reply to Sabrie Nedzhip
    Link to this post

    There is VERY little diff from 4-4.5-4.5.1

     I have all my sites on 4.5.1 with no issues

  4. Samir Vaidya
    Samir Vaidya avatar
    261 posts
    Registered:
    05 Feb 2005
    07 Jun 2014 in reply to Sabrie Nedzhip
    Link to this post

    Hello,

    Yes, I was able to get my site running on .NET v. 4.5, but I noticed that the Telerik Web UI assemblies do not behave the same way from v. 4.0 to v. 4.5.

    For example, Model Binding IS available with the .NET v. 4.5 Telerik Web UI assemblies and is automatically used when creating controls such as the RadGrid, however, when you attempt to use this capability in the RadControls that ship with Sitefinity (still v. 4.0), you do not have the features and capabilities available.

    Therefore, it is DEFINITELY useful to have a .NET v. 4.5 version of Sitefinity that ships with the native .NET 4.5 Telerik RadControls rather than being confined to simply the .NET v. 4.0 assemblies.

    Thanks.

4 posts, 0 answered